Package com.io7m.idstore.admin_client.api

# Interface IdAClientAuditType

All Known Subinterfaces:
  `IdAClientProtocolHandlerType`, `IdAClientType`

All Known Implementing Classes:
  `IdAClient`, `IdAClientProtocolHandler1`, `IdAClientProtocolHandlerAbstract`, `IdAClientProtocolHandlerDisconnected`

public interface IdAClientAuditType
Commands related to audit events.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `IdPage<IdAuditEvent>`
  `auditSearchBegin(IdTimeRange timeRange, Optional<String> owner, Optional<String> type, Optional<String> message, int pageSize)`
  Start searching/listing audit events.
  `IdPage<IdAuditEvent>`
  `auditSearchNext()`
  Continue searching/listing events.
  `IdPage<IdAuditEvent>`
  `auditSearchPrevious()`
  Continue searching/listing events.

- ## Method Details

  - ### auditSearchBegin

    IdPage<IdAuditEvent> auditSearchBegin(IdTimeRange timeRange, Optional<String> owner, Optional<String> type, Optional<String> message, int pageSize) throws IdAClientException, InterruptedException
    Start searching/listing audit events. Calling this method will set the search parameters and effectively reset searching back to page 1 of any results.
    Parameters:
      `timeRange` - The time range within which events should have been created
      `owner` - The owner search query
      `type` - The type search query
      `message` - The message search query
      `pageSize` - The page size
    Returns:
      The first page of results
    Throws:
      `IdAClientException` - On errors
      `InterruptedException` - On interruption

  - ### auditSearchNext

    IdPage<IdAuditEvent> auditSearchNext() throws IdAClientException, InterruptedException
    Continue searching/listing events. This will return the next page of results.
    Returns:
      The next page of results
    Throws:
      `IdAClientException` - On errors
      `InterruptedException` - On interruption

  - ### auditSearchPrevious

    IdPage<IdAuditEvent> auditSearchPrevious() throws IdAClientException, InterruptedException
    Continue searching/listing events. This will return the previous page of results.
    Returns:
      The previous page of results
    Throws:
      `IdAClientException` - On errors
      `InterruptedException` - On interruption